﻿html, body {
    height: 100vh;
}

#fondoPrincipal {    
    background: linear-gradient(90deg, rgba(37, 129, 196, 0.5) 0%, /* Semi-transparent blue */ rgba(39, 0, 137, 0.5) 48.44%, /* Semi-transparent purple */ rgba(223, 22, 131, 0.5) 100% /* Semi-transparent pink */ );
    background-size: 100% 100%;
    height: 100%;
    position: fixed;
    width: 100%;
    top: 0px;
    left: 0px;
}



.checkbox-container {
    display: flex;
    position: relative;
    cursor: pointer;
    font-size: 22px;
    user-select: none;
    align-items: center;
}


    .checkbox-container input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

.checkbox {
    position: absolute;
    left: calc((100% - 21px) / 2);
    height: 21px;
    width: 21px;
    background-color: #eee;
}


.checkbox-container:hover input ~ .checkbox {
    background-color: rgba(255,255,255,0.85);
}

.checkbox-container input:checked ~ .checkbox {
    background-color: var(--MAIN-COLOR);
}

.checkbox:after {
    content: "";
    position: absolute;
    display: none;
}

.checkbox-container input:checked ~ .checkbox:after {
    display: block;
}

.checkbox-container .checkbox:after {
    left: 7px;
    top: 1px;
    width: 7.5px;
    height: 15.5px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}




.login h1 {
    text-transform: capitalize;
    font-size: 24pt;
    letter-spacing: 3px;
    white-space: nowrap;
    font-weight: 900;
    color: white;
    padding: 7.5px;
    text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
    background: rgba(0,0,0,0.35);
    font: 700 25pt "VisbyCF-Bold";
    text-align:center;
    border-radius:9.75px 9.75px 0px 0px;
}


label{
    color:white;
}

.logo {
    display: block !important;
    text-decoration: none !important;
    margin-bottom:55px;
}
.logo *{
    user-select:none;
}
    .logo img {
        display: block;
        width: 235px;
        margin: 7.5px auto 15px auto;
    }

input:not([type="submit"]), input:not([type="button"]) {
    border: 1px solid rgb(197,198,200);
}
    input:not([type="submit"]):focus, input:not([type="button"]):focus {
        outline: none !important;
        box-shadow: 0px 0px 7.5px silver !important;
        border: none !important;
    }

.input-group-text{
    width:45px;
    display:flex;
    justify-content:center;
}

    input[type="checkbox"] {
        width: 24px !important;
        height: 24px !important;
        margin: auto !important;
    }
.text {
    font: 700 14pt "VisbyCF-Light";
}
input[type="submit"], input[type="button"] {
    display: block;
    width: 100%;
}

input[name]::placeholder {
    font: 700 14pt "VisbyCF-Light"!important;
}

.btn-login, .btn-register {
    text-transform: uppercase;
    font: 700 14pt "VisbyCF-Bold";
    border-radius: 35px;
    border: none !important;
}

.btn-register{
    background:var(--MAIN-COLOR);
    color:white!important;
}

    .btn-register:hover {
        background: var(--FOURTH-COLOR) !important;
    }

.btn-login {
    background: var(--SECONDARY-COLOR)!important;
    color: white !important;
}


    .btn-login:hover {
        background: var(--FITH-COLOR)!important;
    }


.login {
    width: 500px;
    position: absolute;
    left: calc((100% - 500px) / 2);
    top: calc((100% - 550px) / 2);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 550px;
}

    .login form {
        background: rgba(255,255,255,0.31);
        backdrop-filter: blur(3px);
        border-radius: 9.75px;
        height: 259px;
    }

    .login form > div{
        padding:0px 11.75px;
    }


.login > div{
    width:100%;
    padding:0px 15px;
}


.alert-message {
    position: absolute;
    width: 100%;
    z-index:1010;
}

/*portrait*/
/* Escritorio extra grande */
@media only screen and (min-width: 1200px) and (orientation:portrait) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
}
/* Escritorio grande */
@media only screen and (min-width: 992px) and (max-width: 1199px) and (orientation:portrait) {
    .login {
        width: 50% !important;
        left: calc((100% - 50%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
    .login h1 {
        text-transform: capitalize;
        font-size: 24pt;
        letter-spacing: 3px;
        white-space: nowrap;
        font-weight: 900;
        color: white;
        padding: 7.5px;
        text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
        background: rgba(0,0,0,0.35);
        font: 700 22pt "VisbyCF-Bold";
        text-align: center;
    }
}

/* Escritorio pequeño / tablet */
@media only screen and (min-width: 768px) and (max-width: 991px) and (orientation:portrait) {
    .login {
        width: 50% !important;
        left: calc((100% - 50%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
    .login h1 {
        text-transform: capitalize;
        font-size: 24pt;
        letter-spacing: 3px;
        white-space: nowrap;
        font-weight: 900;
        color: white;
        padding: 7.5px;
        text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
        background: rgba(0,0,0,0.35);
        font: 700 22pt "VisbyCF-Bold";
        text-align: center;
    }
    
}

/* Tablets y phablets */
@media only screen and (min-width: 576px) and (max-width: 767px) and (orientation:portrait) {
    .login {
        width: 50% !important;
        left: calc((100% - 50%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
    .login h1 {
        text-transform: capitalize;
        font-size: 24pt;
        letter-spacing: 3px;
        white-space: nowrap;
        font-weight: 900;
        color: white;
        padding: 7.5px;
        text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
        background: rgba(0,0,0,0.35);
        font: 700 18pt "VisbyCF-Bold";
        text-align: center;
    }
}

/* Teléfonos */
@media only screen and (max-width: 575px) and (orientation:portrait) {
    .login {
        width: 50% !important;
        left: calc((100% - 50%) / 2) !important;
    }

    .logo img {
        width: 160px !important;
    }
    .login h1 {
        text-transform: capitalize;
        font-size: 24pt;
        letter-spacing: 3px;
        white-space: nowrap;
        font-weight: 900;
        color: white;
        padding: 7.5px;
        text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
        background: rgba(0,0,0,0.35);
        font: 700 12pt "VisbyCF-Bold";
        text-align: center;
    }
}

/*landscape*/
/* Escritorio extra grande */
@media only screen and (min-width: 1200px) and (orientation:landscape) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
    .text {
        font: 700 14pt "VisbyCF-Light";
    }
}
/* Escritorio grande */
@media only screen and (min-width: 992px) and (max-width: 1199px) and (orientation:landscape) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
}

/* Escritorio pequeño / tablet */
@media only screen and (min-width: 768px) and (max-width: 991px) and (orientation:landscape) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 160px !important;
    }
    .login h1 {
        text-transform: capitalize;
        font-size: 24pt;
        letter-spacing: 3px;
        white-space: nowrap;
        font-weight: 900;
        color: white;
        padding: 7.5px;
        text-shadow: 0px 0px 7.5px black,5px 5px 15px gray;
        background: rgba(0,0,0,0.35);
        font: 700 14pt "VisbyCF-Bold";
        text-align: center;
    }
    .input-group-text {
        width: 20px;
        display: flex;
        justify-content: center;
    }
}

/* Tablets y phablets */
@media only screen and (min-width: 576px) and (max-width: 767px) and (orientation:landscape) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 210px !important;
    }
}

/* Teléfonos */
@media only screen and (max-width: 575px) and (orientation:landscape) {
    .login {
        width: 25% !important;
        left: calc((100% - 25%) / 2) !important;
    }

    .logo img {
        width: 110px !important;
    }
}